# Uses of Enum Class
org.opensaml.core.xml.util.XMLObjectSupport.CloneOutputOption

Packages that use XMLObjectSupport.CloneOutputOption
Package
Description
org.opensaml.core.xml.util
Utility classes for working with XML, XMLObjects, and various data types.

## Uses of XMLObjectSupport.CloneOutputOption in org.opensaml.core.xml.util

Methods in org.opensaml.core.xml.util that return XMLObjectSupport.CloneOutputOption
Modifier and Type
Method
Description
`static XMLObjectSupport.CloneOutputOption`
XMLObjectSupport.CloneOutputOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XMLObjectSupport.CloneOutputOption[]`
XMLObjectSupport.CloneOutputOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.core.xml.util with parameters of type XMLObjectSupport.CloneOutputOption
Modifier and Type
Method
Description
`static <T extends XMLObject>
T`
XMLObjectSupport.`cloneXMLObject(T originalXMLObject, XMLObjectSupport.CloneOutputOption cloneOutputOption)`
Clone an XMLObject by brute force: